#ifndef GEBRANCH_H
#define GEBRANCH_H
#include <list>
#include "GeNode.h"

class GeBranch : public GeNode, public std::list<GeNode*> {
public:
	void render(void);
	void update(void);
	void shadowPass(GeLight* light);

	virtual void renderSingle(void);
	virtual void updateSingle(void);
	virtual void postRender(void);
};

#endif
